import { isAppElement, isAppMetadata, isAppRegistration, isAppRoute, isAppStore, isAppStyle, } from '../../app/utils';
import { importAll } from './utils';
/**
 * @public
 */
export const metadata = importAll(import.meta.glob('pbc/**/metadata.ts', {
    eager: true,
}), isAppMetadata);
/**
 * @public
 */
export const registrations = importAll(import.meta.glob('pbc/**/registrations.ts', {
    eager: true,
}), isAppRegistration);
/**
 * @public
 */
export const routes = importAll(import.meta.glob('pbc/**/routes.ts', {
    eager: true,
}), isAppRoute);
/**
 * @public
 */
export const elements = importAll(import.meta.glob('pbc/**/elements.ts', {
    eager: true,
}), isAppElement);
/**
 * @public
 */
export const styles = importAll(import.meta.glob('pbc/**/styles.ts', {
    eager: true,
}), isAppStyle);
/**
 * @public
 */
export const stores = importAll(import.meta.glob('pbc/**/stores.ts', {
    eager: true,
}), isAppStore);
