import { isAppElement, isAppMetadata, isAppRegistration, isAppRoute, isAppStore, isAppStyle, } from '../../app/utils';
import { importAll } from './utils';
/**
 * @public
 */
export const metadata = importAll(require.context('pbc', true, /metadata\.ts$/), isAppMetadata);
/**
 * @public
 */
export const registrations = importAll(require.context('pbc', true, /registrations\.ts$/), isAppRegistration);
/**
 * @public
 */
export const routes = importAll(require.context('pbc', true, /routes\.ts$/), isAppRoute);
/**
 * @public
 */
export const elements = importAll(require.context('pbc', true, /elements\.ts$/), isAppElement);
/**
 * @public
 */
export const styles = importAll(require.context('pbc', true, /styles\.ts$/), isAppStyle);
/**
 * @public
 */
export const stores = importAll(require.context('pbc', true, /stores\.ts$/), isAppStore);
